# class Gtk::StockItem

### Public Instance Methods

[](*args) click to toggle source

    # File lib/gtk3/stock-item.rb, line 19
    def [](*args)
      warn("#{self.class}\##{__method__} is deprecated. " +
           "Use \#stock_id, \#label, \#modifier, \#keyval and " +
           "\#translation_domain instead.")
      to_a[*args]
    end

to_a() click to toggle source

    # File lib/gtk3/stock-item.rb, line 26
    def to_a
      [
        stock_id,
        label,
        modifier,
        keyval,
        translation_domain,
      ]
    end